package com.business.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.business.mapper.BusGridPersonInfoMapper;
import com.business.domain.BusGridPersonInfo;
import com.business.service.IBusGridPersonInfoService;
import com.sooka.common.core.text.Convert;

/**
 * 网格人员管理Service业务层处理
 * 
 * @author lei_wang
 * @date 2020-07-29
 */
@Service
public class BusGridPersonInfoServiceImpl implements IBusGridPersonInfoService 
{
    @Autowired
    private BusGridPersonInfoMapper busGridPersonInfoMapper;

    /**
     * 查询网格人员管理
     * 
     * @param gridPersonId 网格人员管理ID
     * @return 网格人员管理
     */
    @Override
    public BusGridPersonInfo selectBusGridPersonInfoById(Long gridPersonId)
    {
        return busGridPersonInfoMapper.selectBusGridPersonInfoById(gridPersonId);
    }

    /**
     * 查询网格人员管理列表
     * 
     * @param busGridPersonInfo 网格人员管理
     * @return 网格人员管理
     */
    @Override
    public List<BusGridPersonInfo> selectBusGridPersonInfoList(BusGridPersonInfo busGridPersonInfo)
    {
        return busGridPersonInfoMapper.selectBusGridPersonInfoList(busGridPersonInfo);
    }

    /**
     * 新增网格人员管理
     * 
     * @param busGridPersonInfo 网格人员管理
     * @return 结果
     */
    @Override
    public int insertBusGridPersonInfo(BusGridPersonInfo busGridPersonInfo)
    {
        return busGridPersonInfoMapper.insertBusGridPersonInfo(busGridPersonInfo);
    }

    /**
     * 修改网格人员管理
     * 
     * @param busGridPersonInfo 网格人员管理
     * @return 结果
     */
    @Override
    public int updateBusGridPersonInfo(BusGridPersonInfo busGridPersonInfo)
    {
        return busGridPersonInfoMapper.updateBusGridPersonInfo(busGridPersonInfo);
    }

    /**
     * 删除网格人员管理对象
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteBusGridPersonInfoByIds(String ids)
    {
        return busGridPersonInfoMapper.deleteBusGridPersonInfoByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除网格人员管理信息
     * 
     * @param gridPersonId 网格人员管理ID
     * @return 结果
     */
    @Override
    public int deleteBusGridPersonInfoById(Long gridPersonId)
    {
        return busGridPersonInfoMapper.deleteBusGridPersonInfoById(gridPersonId);
    }
}
